Package org.eclipse.m2m.atl.adt.ui.common

## Class WorkspaceFileDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.TrayDialog
      - - org.eclipse.ui.dialogs.SelectionDialog
        - - org.eclipse.ui.dialogs.SelectionStatusDialog
          - - org.eclipse.ui.dialogs.ElementTreeSelectionDialog
            - - org.eclipse.m2m.atl.adt.ui.common.WorkspaceFileDialog

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`

    public class WorkspaceFileDialog
    extends org.eclipse.ui.dialogs.ElementTreeSelectionDialog

This dialog displays files from the workspace.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
`WorkspaceFileDialog​(org.eclipse.swt.widgets.Shell parent, java.lang.String... extensions)` Constructor.

### Method Summary

### Methods inherited from class org.eclipse.ui.dialogs.ElementTreeSelectionDialog

`access$setResult, access$superButtonPressed, addFilter, cancelPressed, computeResult, create, createDialogArea, createTreeViewer, doCreateTreeViewer, getTreeViewer, handleShellCloseEvent, open, setAllowMultiple, setComparator, setDoubleClickSelects, setEmptyListMessage, setInitialSelection, setInput, setSize, setSorter, setValidator, updateOKStatus`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionStatusDialog

`configureShell, createButtonBar, getFirstResult, okPressed, setImage, setResult, setStatusLineAboveButtons, updateButtonsEnableState, updateStatus`

### Methods inherited from class org.eclipse.ui.dialogs.SelectionDialog

`createButtonsForButtonBar, createMessageArea, getDialogBoundsSettings, getDialogBoundsStrategy, getInitialElementSelections, getInitialSelections, getMessage, getOkButton, getResult, isResizable, setDialogBoundsSettings, setInitialElementSelections, setInitialSelections, setMessage, setResult, setSelectionResult, setTitle`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createHelpControl, getLayout, getTray, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, buttonPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkspaceFileDialog

    public WorkspaceFileDialog​(org.eclipse.swt.widgets.Shell parent,
                               java.lang.String... extensions)

Constructor.

Parameters:
  `parent` - the parent Shell
  `extensions` - the handled file extensions